<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Tools/Broom.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d84/_broom_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Broom.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../de/d84/_broom_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d92/class_broom_base.html">BroomBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9a2eaac8fb89ba4466fc0b24484cf454"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d92/class_broom_base.html">BroomBase</a> <a class="el" href="../../d1/d00/class_flammable_base.html">FlammableBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a9a2eaac8fb89ba4466fc0b24484cf454">GetBurningMaterial</a> ()</td></tr>
<tr class="separator:a9a2eaac8fb89ba4466fc0b24484cf454"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a854d31d6f8acc1c96e1997c7068951d4"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a854d31d6f8acc1c96e1997c7068951d4">Init</a> ()</td></tr>
<tr class="memdesc:a854d31d6f8acc1c96e1997c7068951d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../de/d84/_broom_8c.html#a854d31d6f8acc1c96e1997c7068951d4">More...</a><br /></td></tr>
<tr class="separator:a854d31d6f8acc1c96e1997c7068951d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58943f2696a8d2867ab3ba9999aa1138"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a58943f2696a8d2867ab3ba9999aa1138">SetActions</a> ()</td></tr>
<tr class="separator:a58943f2696a8d2867ab3ba9999aa1138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37dea3425a6ba082c4076260c45d9d82"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a37dea3425a6ba082c4076260c45d9d82">CanReceiveUpgrade</a> ()</td></tr>
<tr class="separator:a37dea3425a6ba082c4076260c45d9d82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9949971d7ecd177d12995376dffefb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a5b9949971d7ecd177d12995376dffefb">OnWorkStart</a> ()</td></tr>
<tr class="separator:a5b9949971d7ecd177d12995376dffefb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85c50dd085f91b98c82e358cd434d04"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#ae85c50dd085f91b98c82e358cd434d04">ApplyResultModifications</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> result)</td></tr>
<tr class="separator:ae85c50dd085f91b98c82e358cd434d04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e9be51ba7243baeb6584e9ca95b9073"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a6e9be51ba7243baeb6584e9ca95b9073">CanTransformIntoStick</a> ()</td></tr>
<tr class="separator:a6e9be51ba7243baeb6584e9ca95b9073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94d9d8a0e03809b8ae9c95a887f3b22c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a94d9d8a0e03809b8ae9c95a887f3b22c">EEHitBy</a> (<a class="el" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damageResult, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> damageType, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> dmgZone, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammo, <a class="el" href="../../d7/dfc/classvector.html">vector</a> modelPos, <a class="el" href="../../d4/dc3/classfloat.html">float</a> speedCoef)</td></tr>
<tr class="separator:a94d9d8a0e03809b8ae9c95a887f3b22c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34397c5c18ea8b9cc351a5990cfad093"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a34397c5c18ea8b9cc351a5990cfad093">CalculateQuantity</a> ()</td></tr>
<tr class="separator:a34397c5c18ea8b9cc351a5990cfad093"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1adfbb5bf72a20cf63931b32d778ff07"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a1adfbb5bf72a20cf63931b32d778ff07">UpdateParticle</a> ()</td></tr>
<tr class="separator:a1adfbb5bf72a20cf63931b32d778ff07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5e8ca9a9b01776894e2aadf529d541c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#ab5e8ca9a9b01776894e2aadf529d541c">DebugSetHealthAndEnergy</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> time)</td></tr>
<tr class="separator:ab5e8ca9a9b01776894e2aadf529d541c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f751a2cc0637780faf7b1c757d825f3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a3f751a2cc0637780faf7b1c757d825f3">GetDebugButtonNames</a> (out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button1, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button2, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button3, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> button4)</td></tr>
<tr class="separator:a3f751a2cc0637780faf7b1c757d825f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a045ba84b174ede27bbc392b74d126217"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a045ba84b174ede27bbc392b74d126217">OnDebugButtonPressServer</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button_index)</td></tr>
<tr class="separator:a045ba84b174ede27bbc392b74d126217"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a653eda6487726fab2c895c71e968164c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d84/_broom_8c.html#a653eda6487726fab2c895c71e968164c">GetBurntMaterial</a> ()</td></tr>
<tr class="separator:a653eda6487726fab2c895c71e968164c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ae85c50dd085f91b98c82e358cd434d04" name="ae85c50dd085f91b98c82e358cd434d04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae85c50dd085f91b98c82e358cd434d04">&#9670;&#160;</a></span>ApplyResultModifications()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::ApplyResultModifications </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>result</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00160">160</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a34397c5c18ea8b9cc351a5990cfad093" name="a34397c5c18ea8b9cc351a5990cfad093"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34397c5c18ea8b9cc351a5990cfad093">&#9670;&#160;</a></span>CalculateQuantity()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::CalculateQuantity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00183">183</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a37dea3425a6ba082c4076260c45d9d82" name="a37dea3425a6ba082c4076260c45d9d82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37dea3425a6ba082c4076260c45d9d82">&#9670;&#160;</a></span>CanReceiveUpgrade()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> GetBurningMaterial::CanReceiveUpgrade </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00149">149</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a6e9be51ba7243baeb6584e9ca95b9073" name="a6e9be51ba7243baeb6584e9ca95b9073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e9be51ba7243baeb6584e9ca95b9073">&#9670;&#160;</a></span>CanTransformIntoStick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> GetBurningMaterial::CanTransformIntoStick </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00166">166</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="ab5e8ca9a9b01776894e2aadf529d541c" name="ab5e8ca9a9b01776894e2aadf529d541c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5e8ca9a9b01776894e2aadf529d541c">&#9670;&#160;</a></span>DebugSetHealthAndEnergy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GetBurningMaterial::DebugSetHealthAndEnergy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00216">216</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a94d9d8a0e03809b8ae9c95a887f3b22c" name="a94d9d8a0e03809b8ae9c95a887f3b22c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94d9d8a0e03809b8ae9c95a887f3b22c">&#9670;&#160;</a></span>EEHitBy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::EEHitBy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a>&#160;</td>
          <td class="paramname"><em>damageResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>damageType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>component</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>dmgZone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>modelPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>speedCoef</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00175">175</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a9a2eaac8fb89ba4466fc0b24484cf454" name="a9a2eaac8fb89ba4466fc0b24484cf454"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a2eaac8fb89ba4466fc0b24484cf454">&#9670;&#160;</a></span>GetBurningMaterial()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d92/class_broom_base.html">BroomBase</a> <a class="el" href="../../d1/d00/class_flammable_base.html">FlammableBase</a> GetBurningMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a653eda6487726fab2c895c71e968164c" name="a653eda6487726fab2c895c71e968164c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a653eda6487726fab2c895c71e968164c">&#9670;&#160;</a></span>GetBurntMaterial()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetBurntMaterial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00138">138</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a3f751a2cc0637780faf7b1c757d825f3" name="a3f751a2cc0637780faf7b1c757d825f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f751a2cc0637780faf7b1c757d825f3">&#9670;&#160;</a></span>GetDebugButtonNames()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::GetDebugButtonNames </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button3</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>button4</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00224">224</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a854d31d6f8acc1c96e1997c7068951d4" name="a854d31d6f8acc1c96e1997c7068951d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a854d31d6f8acc1c96e1997c7068951d4">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>
<p >script functions</p>
<p >called by engine right after creation of entity </p>
<p >pre-init arrays</p>

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00134">134</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a045ba84b174ede27bbc392b74d126217" name="a045ba84b174ede27bbc392b74d126217"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a045ba84b174ede27bbc392b74d126217">&#9670;&#160;</a></span>OnDebugButtonPressServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::OnDebugButtonPressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button_index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00233">233</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a5b9949971d7ecd177d12995376dffefb" name="a5b9949971d7ecd177d12995376dffefb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9949971d7ecd177d12995376dffefb">&#9670;&#160;</a></span>OnWorkStart()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::OnWorkStart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00154">154</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a58943f2696a8d2867ab3ba9999aa1138" name="a58943f2696a8d2867ab3ba9999aa1138"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58943f2696a8d2867ab3ba9999aa1138">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00141">141</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
<a id="a1adfbb5bf72a20cf63931b32d778ff07" name="a1adfbb5bf72a20cf63931b32d778ff07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1adfbb5bf72a20cf63931b32d778ff07">&#9670;&#160;</a></span>UpdateParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void GetBurningMaterial::UpdateParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d84/_broom_8c_source.html#l00197">197</a> of file <a class="el" href="../../de/d84/_broom_8c_source.html">Broom.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_e36a2cddfdd187ac0db92f8d1eafd039.html">Tools</a></li><li class="navelem"><a class="el" href="../../de/d84/_broom_8c.html">Broom.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
